/**
 * Copyright (C) 2024 bAvenir
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

.fade-in {
    -webkit-animation: fadein 200ms; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadein 200ms; /* Firefox < 16 */
    -ms-animation: fadein 200ms; /* Internet Explorer */
    -o-animation: fadein 200ms; /* Opera < 12.1 */
    animation: fadein 200ms;
  }
  
  @keyframes fadein {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  
  /* Firefox < 16 */
  @-moz-keyframes fadein {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  
  /* Safari, Chrome and Opera > 12.1 */
  @-webkit-keyframes fadein {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  
  /* Internet Explorer */
  @-ms-keyframes fadein {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  
  .fade-out {
    -webkit-animation: fadeout 200ms; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadeout 200ms; /* Firefox < 16 */
    -ms-animation: fadeout 200ms; /* Internet Explorer */
    -o-animation: fadeout 200ms; /* Opera < 12.1 */
    animation: fadeout 200ms;
  }
  
  @keyframes fadeout {
    from {
      opacity: 1;
    }
    to {
      opacity: 0;
    }
  }
  
  /* Firefox < 16 */
  @-moz-keyframes fadeout {
    from {
      opacity: 1;
    }
    to {
      opacity: 0;
    }
  }
  
  /* Safari, Chrome and Opera > 12.1 */
  @-webkit-keyframes fadeout {
    from {
      opacity: 1;
    }
    to {
      opacity: 0;
    }
  }
  
  /* Internet Explorer */
  @-ms-keyframes fadeout {
    from {
      opacity: 1;
    }
    to {
      opacity: 0;
    }
  }